-- name: [CS] Reevie
-- description: [CS] Reevie\nBy AngelicMiracles.

if not _G.charSelectExists then
    local first = false
    hook_event(HOOK_ON_LEVEL_INIT, function()
        if not first then
            first = true
            play_sound(SOUND_MENU_CAMERA_BUZZ, gGlobalSoundSource)
            djui_chat_message_create("\\#ffffa0\\Extra Characters requires Character Select to be enabled.\nPlease rehost with it enabled.")
        end
    end)
    return
end

--Loads Models
local E_MODEL_REEVIE = smlua_model_util_get_id("reevie_geo")

--Loads Mod Name
local TEXT_MOD_NAME = "Reevie"
local TEXT_MOD_VERSION = "1.0"

--Loads Icon
local TEX_REEVIE = get_texture_info("reevie-icon")


--Palettes
local PALETTE_REEVIE =  {
    [PANTS]  = {r = 0x7d, g = 0xb7, b = 0xff}, -- 7DB7FF
    [SHIRT]  = {r = 0xff, g = 0x11, b = 0x1b}, -- FF111B
    [GLOVES] = {r = 0x55, g = 0xe2, b = 0x6c}, -- 55E26C
    [SHOES]  = {r = 0x00, g = 0x00, b = 0x00}, -- 000000
    [HAIR]   = {r = 0x30, g = 0x7d, b = 0x3c}, -- 307D3C
    [SKIN]   = {r = 0x55, g = 0xe2, b = 0x6c}, -- 55E26C
    [CAP]    = {r = 0x1d, g = 0x5a, b = 0xff}, -- 1D5AFF
    [EMBLEM] = {r = 0xff, g = 0xff, b = 0x00}, -- FFFF00
}

--Character Adds
local CT_REEVIE = _G.charSelect.character_add("Reevie", {"Commission for Reevie"}, "AngelicMiracles", {r = 10, g = 170, b = 10}, E_MODEL_REEVIE, CT_MARIO, TEX_REEVIE, 1.0, 0)

--Set Palettes
_G.charSelect.character_add_palette_preset(E_MODEL_REEVIE, PALETTE_REEVIE)